Qt 5.6 | Qt 3D | C++ Classes | QSpotLight

Qt 5.6.3 Reference Documentation

# QSpotLight Class

(Qt3DRender::QSpotLight)

Header: | #include <QSpotLight>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | SpotLight
Inherits: | QPointLight

- List of all members, including inherited members

## Properties

- cutOffAngle : float
- direction : QVector3D

- 1 property inherited from Qt3DRender::QPointLight
- 3 properties inherited from Qt3DRender::QLight
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QSpotLight(Qt3DCore::QNode *parent = Q_NULLPTR)
float | cutOffAngle() const
QVector3D | direction() const

- 7 public functions inherited from Qt3DRender::QPointLight
- 3 public functions inherited from Qt3DRender::QLight
- 1 public function inherited from Qt3DRender::QShaderData
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setCutOffAngle(float cutOffAngle)
void | setDirection(const QVector3D &direction)

- 1 public slot inherited from Qt3DRender::QPointLight
- 3 public slots inherited from Qt3DRender::QLight
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | cutOffAngleChanged(float cutOffAngle)
void | directionChanged(const QVector3D &direction)

- 1 signal inherited from Qt3DRender::QPointLight
- 3 signals inherited from Qt3DRender::QLight
- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QSpotLight(QSpotLightPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 1 protected function inherited from Qt3DRender::QLight
- 1 protected function inherited from Qt3DRender::QShaderData
- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### cutOffAngle : float

Access functions:

float | cutOffAngle() const
void | setCutOffAngle(float cutOffAngle)

Notifier signal:

void | cutOffAngleChanged(float cutOffAngle)

### direction : QVector3D

Access functions:

QVector3D | direction() const
void | setDirection(const QVector3D &direction)

Notifier signal:

void | directionChanged(const QVector3D &direction)

## Member Function Documentation

### QSpotLight::QSpotLight(Qt3DCore::QNode *parent = Q_NULLPTR)

Constructs a new QSpotLight with the specified parent.

### `[protected]` QSpotLight::QSpotLight(QSpotLightPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### `[protected]` void QSpotLight::copy(const Qt3DCore::QNode *ref)

Copies the ref instance into this one.